Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils
Interface Encodable

All Known Subinterfaces:
  Concept, Database, DatabaseConnection, Document, DocumentBase, Identity, IndexableDocument, ParsableDocument, Pipeline, Query, Query, Repository, Results, SdxObject, SDXThesaurus, SearchLocations, TermHighlighter, Terms, Transformation

All Known Implementing Classes:
  AbstractConcept, AbstractDatabase, AbstractDatabaseBackedRepository, AbstractDataSourceComponentBackedRepository, AbstractDocument, AbstractDocumentBase, AbstractIdentity, AbstractIndexableDocument, AbstractJDBCDatabase, AbstractPipeline, AbstractQuery, AbstractRepository, AbstractSdxObject, AbstractSdxXMLPipe, AbstractThesaurus, AbstractTransformation, HTMLDocument, LuceneDatabase, LuceneIndex, LuceneTermHighlighter, LuceneThesaurus, Results, SearchLocations, SQLDatabaseConnection, Terms, UserDatabase, XMLDocument

public interface Encodable

Created by IntelliJ IDEA. User: rpandey Date: 22 mars 2004 Time: 11:46:45 To change this template use Options | File Templates.

Nested Class Summary
`static interface` | `Encodable.ConfigurationNode`

Field Summary
`static java.lang.String` | `DEFAULT_ENCODING`

Method Summary
`java.lang.String` | `getEncoding()`
`void` | `setEncoding(java.lang.String encoding)`

Field Detail

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

Method Detail

### setEncoding

    public void setEncoding(java.lang.String encoding)

### getEncoding

    public java.lang.String getEncoding()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.